// Radio fields are different, they cannot be deselected by a user
//   Thereby they _always_ need a value for submission
//
// You can do that through `defaultValue`, or `isRequired: true`

export const isFieldset = field => {
  return field.type === 'fieldset';
};
export const isTabGroup = field => {
  return field.type === 'tab-group';
};
export const isTabField = field => {
  return 'type' in field && field.type === 'tab';
};
export const isExpand = field => {
  return field.type === 'expand';
};
export const isDateRange = value => {
  return value && value.hasOwnProperty('type') && value.type === 'date-range';
};